/// <reference types="react" />
import * as A from '../../../../application/ApplicationTypes';
import * as P from '../../../PresentationTypes';
import { MultiSelectFieldSortOption } from '../../../../core/MultiSelectField/MultiSelectField';
interface SelectionInputProps {
    label: string;
    value: string | string[];
    token?: string;
    multiple?: boolean;
    searchable?: boolean;
    selectable?: boolean;
    options?: A.SelectionOption[];
    onInputStateChange: (state: any) => void;
    optionsUrl?: string;
    optionsUrlHttpHeaders?: A.OptionsUrlHttpHeader[];
    sortable?: MultiSelectFieldSortOption[];
    helperText?: React.ReactNode;
    error?: boolean;
    disabled?: boolean;
    onChange: (value: string | string[]) => any;
    strings: A.Strings;
    parentValue: P.ApplicationVariables;
    inputState: any;
    parentProperties: A.PresentationProperty[];
}
export default function SelectionInput2({ label, value, token, multiple, searchable, selectable, options: defaultOptions, onInputStateChange, optionsUrl: optionsUrlTemplate, optionsUrlHttpHeaders: optionsUrlHttpHeadersTemplate, sortable, helperText, error, disabled, onChange, strings, parentValue, inputState, parentProperties, }: SelectionInputProps): JSX.Element;
export {};
